import type { IDeclarationMine, IExampleMine } from '@looker/sdk-codegen';
import type { PayloadAction } from '@reduxjs/toolkit';
export interface LodesState {
    examples?: IExampleMine;
    declarations?: IDeclarationMine;
    error?: Error;
}
export declare const defaultLodesState: LodesState;
export interface InitPayload {
    examplesLodeUrl?: string;
    declarationsLodeUrl?: string;
}
declare type InitSuccessAction = LodesState;
export declare const lodesSlice: import("@reduxjs/toolkit").Slice<LodesState, {
    initLodesAction(_state: import("immer/dist/internal").WritableDraft<LodesState>, _action: PayloadAction<InitPayload>): void;
    initLodesSuccessAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<InitSuccessAction>): void;
    initLodesFailureAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<Error>): void;
}, "lodes">;
export declare const lodeActions: import("@reduxjs/toolkit").CaseReducerActions<{
    initLodesAction(_state: import("immer/dist/internal").WritableDraft<LodesState>, _action: PayloadAction<InitPayload>): void;
    initLodesSuccessAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<InitSuccessAction>): void;
    initLodesFailureAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<Error>): void;
}>;
export declare const useLodeActions: () => import("@reduxjs/toolkit").CaseReducerActions<{
    initLodesAction(_state: import("immer/dist/internal").WritableDraft<LodesState>, _action: PayloadAction<InitPayload>): void;
    initLodesSuccessAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<InitSuccessAction>): void;
    initLodesFailureAction(state: import("immer/dist/internal").WritableDraft<LodesState>, action: PayloadAction<Error>): void;
}>, useLodesStoreState: () => LodesState;
export {};
